package rknop.jvmap;

import rknop.*;
import rknop.jvmap.*;
import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.util.*;


// **********************************************************************
// CounterPopup is a popup menu with some relevant state information...
// **********************************************************************

class CounterPopup extends PopupMenu {
    static final private boolean debug=false;

    public Counter c;

    public CounterPopup() { c=null; }

    public Counter counter() { return c; }

    public void setCounter(Counter c) { this.c=c; }

    protected void finalize() {
        if (debug) {
            System.out.println("Finalizing a CounterPopup");
        }
    }

}
