package rknop;

import rknop.*;
import java.lang.*;
import java.awt.*;
import java.awt.event.*;

// **********************************************************************
// **********************************************************************
// AreYouSure -- a general utility that should be elsewhere
// **********************************************************************
// **********************************************************************


public class AreYouSure implements ActionListener {
    public String result;
    Dialog dlg;
    Frame frm;
    Button[] buttonstoclear;

    public AreYouSure(Component parent,String title,String[] text,
                      String[] buttons) {
        frm=Steege.getTopParent(parent);
        buttonstoclear=new Button[buttons.length];

        dlg=new Dialog(frm,title,true);

        GridLayout grid=new GridLayout(text.length,1);
        FlowLayout flow;
        Panel panel=new Panel();
        Panel subpanel;
        Button b;
        int i;

        panel.setLayout(grid);
        for (i=0 ; i<text.length ; ++i) {
            subpanel=new Panel();
            flow=new FlowLayout(FlowLayout.CENTER);
            panel.add(subpanel);
            subpanel.add(new Label(text[i]));
        }
        dlg.add("North",panel);

        panel=new Panel();
        for (i=0 ; i<buttons.length-1 ; ++i) {
            b=new Button(buttons[i]);
            b.setActionCommand(buttons[i]);
            b.addActionListener(this);
            panel.add(b);
            buttonstoclear[i]=b;
        }
        dlg.add("West",panel);
        
        panel=new Panel();
        b=new Button(buttons[buttons.length-1]);
        b.setActionCommand(buttons[buttons.length-1]);
        b.addActionListener(this);
        panel.add(b);
        buttonstoclear[buttons.length-1]=b;
        dlg.add("East",panel);
        dlg.pack();

        // Move the dialog to the center of its parent.

        Point p=parent.getLocation();
        Dimension d=parent.getSize();
        Dimension s=dlg.getSize();
        p.translate((d.width-s.width)/2,(d.height-s.height)/2);
        dlg.setLocation(p);
        
        dlg.show();
    }
  
    public void actionPerformed(ActionEvent e) {
        String com=e.getActionCommand();
        result=new String(com);
        dlg.hide();
        dlg.dispose();
        for (int i=0 ; i<buttonstoclear.length ;  ++i) {
            buttonstoclear[i].removeActionListener(this);
        }
        dlg.removeAll();
    }

    public static void main(String args[]) {
        Frame temp=new Frame();
        temp.show();
        
        String buttons[]={"Dude","Steege"};
        AreYouSure oops=new AreYouSure(temp,"AreYouSure",args,buttons);
        System.exit(0);
    }

}

